# Guild Journal

Guild Journal is a simple tool to keep track of table top adventures.
It is highly opinionated as I develop this for the group I play in.
I try to keep it agnostic of any specific system.


## Development

```
docker compose up
```

### Migrations

#### Apply migrations
```
docker compose exec app python manage.py migrate
```

#### Create migrations
```
docker compose exec app python manage.py makemigrations
```

## Deployment

### Build and publish docker image

```
./release.sh <tag>
```

### Use in Docker Compose

```
  guild_journal:
    image: git.libove.org/h4kor/guild-journal:latest
    user: 1000:1000
    volumes:
      - "./guild-journal:/data"
    ports:
      - "127.0.0.1:9011:8000"
    restart: always
    environment:
      GUILD_JOURNAL_ENV: production
      DJANGO_HOST: guild-journal.example.org
      SECRET_KEY: keep-this-secret
```